Description

History

#1 - 08/27/2012 05:00 PM - Greg Shah

Please cleanup/improve the compatibility_options.odt chapter in the p2j_docs/runtime_installation_configuration_and_administration_guide/ project.

The chapter has good content but it needs work. See my GES: note in this chapter for details. You should also change or add anything else that you

find would be useful.

#2 - 08/28/2012 01:42 PM - Greg Shah

Please note that the table itself probably needs some major modifications.  For example, the "Progress 4GL Feature" column has many weird entries

like "com.goldencode.p2j.util.NumberType".  This doesn't make sense.  Instead, the individual 4GL feature should be tracked down and used in that

column instead.

Often this is a command line option to Progress (e.g. the numberDecimalSep option can be set via the -numdec <number> command line option). 

These can be found in the "Startup Command and Parameter Reference".

But the feature may also be something that can be read or read/written at runtime using 4GL code.  In that case, you would find this in the 4GL

Reference (or the ABL Reference in later versions).  For example, the numberDecimalSep option is the same thing as

SESSION:NUMERIC-DECIMAL-POINT attribute (although this is read-only).  It is common for many of these settings to be accessible via the

SESSION system handle.  But it is also possible that the feature may be a built-in function. For example, the currentLanguage option is the

CURRENT-LANGUAGE function (for reading) and the CURRENT-LANGUAGE statement (for writing).

Often it is useful to look at where the option is read from the directory in the P2J code.  There should be some comments or JavaDoc there that

explains the 4GL feature that matches.

#3 - 08/30/2012 10:56 AM - Greg Shah

Since you haven't started this yet, I just added some more notes to the chapter.  Please make sure to check out the latest version before starting.

#4 - 08/31/2012 01:07 PM - Greg Shah

I made some more changes and checked in another version.
#5 - 09/05/2012 04:25 PM - Adrian Lungu

- Status changed from New to WIP

#6 - 09/06/2012 04:40 PM - Adrian Lungu

- Status changed from WIP to Review

- % Done changed from 0 to 90

finalized the content

committed into bazaar

The following options where removed from the original table because I didn't find any reference to "class-mappings" or "method-name-map" in source

code or directory.xml:

class-mappings/fileNNN

class-mappings/fileNNN/relativename

class-mappings/fileNNN/classname

class-mappings/fileNNN/method-name-map/funcYYY

class-mappings/fileNNN/method-name-map/funcYYY/progress

class-mappings/fileNNN/method-name-map/funcYYY/java

This configurations where transferred into name_map.xml I guess.

The following options where added:

batchMode: but isBatchMode() is not used in the code. Maybe the headless option is actually emulating the batch-mode?

Other notes:

currentLanguage: it seems that getCurrentLanguage() is not used in the code.

stop_disposition: I didn't include this as I do not think is related to compatibility(I didn't find in Progress docs something to resemble this)
